﻿$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName    = $env:ChocolateyPackageName
  url            = 'https://github.com/brave/browser-laptop/releases/download/v0.22.721dev/BraveSetup-ia32.exe'
  url64          = 'https://github.com/brave/browser-laptop/releases/download/v0.22.721dev/BraveSetup-x64.exe'
  checksum       = '98385d26d031fb1d7ab0811e4da3528c8bc50a36a77456f8f3e4161acf762f2e'
  checksum64     = '96313df22900958fbbe4926aebc84fe9b2fa4d730ca927ad58cf3ae90039e6a4'
  checksumType   = 'sha256'
  checksum64Type = 'sha256'
}

Install-ChocolateyPackage @packageArgs

Get-ChildItem $toolsDir\*.exe | ForEach-Object { Remove-Item $_ -ea 0; if (Test-Path $_) { Set-Content "$_.ignore" } }
